
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-3
%global meadalpha .Final_redhat_3
%global meadrel .1
%global serial 10
%global namedversionrel redhat-3

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%global alternativespriority 020500
%global apiname servlet
%global apiversion 2.5
%global apiversionu 2_5
%global plainversion %{version}%{?reltag}
%global apigroupid javax.servlet
%global apiartifactid %{apiname}-api

%define section free

%define maven_version 1.0.1.Final-redhat-3

Name:           jboss-%{apiname}-api_%{apiversion}_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java API for XML-Based RPC (JAX-RPC) %{apiversion}
License:        LGPLv2+
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-%{apiname}-api_%{apiversion}_spec-%{plainversion}
Group:          Development/Libraries/Java

%if %with mead
Source100: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3-scm-sources.zip
Source102: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3-project-sources.tar.gz
Source103: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3-source-release.zip
Source104: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3.pom
Source105: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3-sources.jar
Source106: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3-javadoc.jar
Source107: jboss-servlet-api_2.5_spec-1.0.1.Final-redhat-3.jar
%endif

Source3:        servlet-api-2.5.pom
Provides:       %{apiname}_%{apiversionu}_api
Provides:       %{apiname}_api = 0:%{apiversion}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The JAX-RPC %{apiversion} API classes.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}

# jar alternatives
/bin/touch %{buildroot}%{_javadir}/%{apiname}_api.jar
/bin/touch %{buildroot}%{_javadir}/%{apiname}_%{apiversionu}_api.jar

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
# poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# pom alternatives
/bin/touch %{buildroot}%{_datadir}/maven2/poms/JPP-%{apiname}_%{apiversionu}_api.pom
/bin/touch %{buildroot}%{_datadir}/maven2/poms/JPP-%{apiname}_api.pom

# depmaps
%add_to_maven_depmap org.jboss.spec.javax.servlet jboss-%{apiname}-api_%{apiversion}_spec %{namedversion} JPP jboss-%{apiname}-api_%{apiversion}_spec
%add_to_maven_depmap %{apigroupid} %{apiartifactid} %{apiversion} JPP jboss-%{apiname}-api_%{apiversion}_spec

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_api.jar %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_%{apiversionu}_api.jar %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_datadir}/maven2/poms/JPP-%{apiname}_api.pom %{apiname}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_datadir}/maven2/poms/JPP-%{apiname}_%{apiversionu}_api.pom %{apiname}_%{apiversionu}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
fi

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}-sources.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-sources.jar
%ghost %{_javadir}*/%{apiname}_%{apiversionu}_api.jar
%ghost %{_javadir}*/%{apiname}_api.jar
%{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%ghost %{_datadir}/maven2/poms/JPP-%{apiname}_%{apiversionu}_api.pom
%ghost %{_datadir}/maven2/poms/JPP-%{apiname}_api.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-9.Final_redhat_2
- Rebuild for MD5

* Tue Sep 11 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.1-8.Final_redhat_2
- Rebuild

* Tue Sep 11 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.1-7.1.Final_redhat_2
- Rebuild

* Thu Sep 06 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-7
- fix pom alternatives
- fix file list

* Fri Aug 10 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-6
- add back alternatives for servlet_2_5_api
- remove bad references to javax.xml.rpc

* Wed Jul 11 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-5
- fix Requires (fixes maven support)
- fix Release
- fix macro in comment

* Tue Jun 12 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-4
- enable mead option
- remove update-alternatives Requires from javadoc pkg

* Tue Jun 12 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-3
- fix depmap
- remove ghost from file list
- don't own javadoc dir in main pkg

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Remove javadocs from main package and into their own RPM

* Fri May 04 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.1-1
- Adapted from jboss-servlet-api_3.0_spec
